import { IDropdown } from '../../Atoms/Dropdown/interfaces';
import { IInput } from '../../Atoms/Input/interfaces';
export interface IPhoneNumber extends Omit<IDropdown, 'value' | 'onError' | 'options' | 'onChange'> {
    value: [string, string];
    suffixes: string[];
    onError?: ({ code, msg }: {
        code: string;
        msg: string;
    }) => void;
    mask?: string;
    onChange: (value: [string, string]) => void;
    componentInputProps?: Partial<IInput>;
}
