/// <reference types="react" />
import { IInput } from './interfaces';
declare const Input: {
    (props: IInput): JSX.Element;
    defaultProps: {
        value: string;
        className: string;
        type: string;
        variant: string;
        validation: null;
        helperText: null;
        helperTextPosition: string;
        error: boolean;
        size: string;
        focus: boolean;
        isLoading: boolean;
        loadingSize: number;
    };
};
export default Input;
